{
  "name": "web",
  "version": "0.1.0",
  "private": true,
  "type": "module",
  "scripts": {
    "prebuild": "npm run update-dotenv && npm run lint && npm run test:unit",
    "build": "next build",
    "predev": "rm -rf .next",
    "dev": "PORT=3000 NEXT_PUBLIC_PORT=3000 next dev",
    "prelint": "rm -rf .next",
    "lint": "next lint --max-warnings 0 && tsc",
    "prelint:fix": "rm -rf .next",
    "lint:fix": "next lint --fix --max-warnings 0 && tsc",
    "prepare": "husky",
    "start": "node .next/standalone/server.js",
    "test:component": "cypress open --component",
    "test:component:headless": "cypress run --component",
    "test:e2e": "start-server-and-test test:setup http://127.0.0.1:3000/en/sponsoring \"cypress open --e2e\"",
    "test:e2e:headless": "start-server-and-test test:setup http://127.0.0.1:3000/en/sponsoring \"cypress run --e2e\"",
    "test:setup": "npm run build && npm run start",
    "preinstall": "export $(cat .env.local | grep -v '^#' | xargs)",
    "update-dotenv": "node update-dotenv.mjs",
    "test:unit": "jest",
    "test:unit:watch": "jest --watch"
  },
  "dependencies": {
    "@contentstack/live-preview-utils": "^1.4.0",
    "@hookform/error-message": "^2.0.1",
    "@hookform/resolvers": "^3.3.4",
    "@netlify/plugin-nextjs": "^5.1.1",
    "@radix-ui/react-slot": "^1.0.2",
    "@scandic-hotels/design-system": "git+https://x-token-auth:$DESIGN_SYSTEM_ACCESS_TOKEN@bitbucket.org/scandic-swap/design-system.git#v0.1.0-rc.7",
    "@t3-oss/env-nextjs": "^0.9.2",
    "@tanstack/react-query": "^5.28.6",
    "@trpc/client": "^11.0.0-next-beta.318",
    "@trpc/react-query": "^11.0.0-next-beta.318",
    "@trpc/server": "^11.0.0-next-beta.318",
    "class-variance-authority": "^0.7.0",
    "clean-deep": "^3.4.0",
    "dayjs": "^1.11.10",
    "deepmerge": "^4.3.1",
    "graphql": "^16.8.1",
    "graphql-request": "^6.1.0",
    "graphql-tag": "^2.12.6",
    "libphonenumber-js": "^1.10.60",
    "next": "^14.2.3",
    "next-auth": "^5.0.0-beta.15",
    "react": "^18",
    "react-dom": "^18",
    "react-feather": "^2.0.10",
    "react-hook-form": "^7.51.2",
    "react-international-phone": "^4.2.6",
    "react-intl": "^6.6.8",
    "server-only": "^0.0.1",
    "superjson": "^2.2.1",
    "zod": "^3.22.4",
    "zustand": "^4.5.2"
  },
  "devDependencies": {
    "@svgr/webpack": "^8.1.0",
    "@testing-library/jest-dom": "^6.4.6",
    "@testing-library/react": "^16.0.0",
    "@types/jest": "^29.5.12",
    "@types/node": "^20",
    "@types/react": "^18",
    "@types/react-dom": "^18",
    "cypress": "^13.6.6",
    "dotenv": "^16.4.5",
    "eslint": "^8",
    "eslint-config-next": "^14.0.4",
    "eslint-plugin-import": "^2.29.1",
    "eslint-plugin-simple-import-sort": "^12.1.0",
    "husky": "^9.0.11",
    "jest": "^29.7.0",
    "jest-environment-jsdom": "^29.7.0",
    "jiti": "^1.21.0",
    "lint-staged": "^15.2.2",
    "netlify-plugin-cypress": "^2.2.1",
    "prettier": "^3.2.5",
    "start-server-and-test": "^2.0.3",
    "ts-node": "^10.9.2",
    "typescript": "^5",
    "typescript-plugin-css-modules": "^5.1.0"
  },
  "engines": {
    "node": "18"
  }
}
